[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Tcompressionstream.create

Create a new instance of the compression stream.

## Declaration

Source position: zstream.pp line 63

`public constructor Tcompressionstream.create(`
`level: Tcompressionlevel;`
`dest: TStream;`
`Askipheader: Boolean = False`
`);`

## Arguments

`level` |  | Compression level for compression stream
`dest` |  | Output stream to which compressed data is written.
`Askipheader` |  | If set, the deflated data block header is not written to stream

## Description

Create creates a new instance of the compression stream. It merely calls the inherited constructor with the destination stream Dest and stores the compression level.

If ASkipHeader is set to True, the method will not write the block header to the stream. This is required for deflated data in a zip file.

Note that the compressed data is only completely written after the compression stream is destroyed.

## See also

Destroy |  | Flushes data to the output stream and destroys the compression stream.